{% extends 'base.html.twig' %}

{% block title %}Hello RandomColorGeneratorController!
{% endblock %}
{% block stylesheets %}
    {{ encore_entry_link_tags('app') }}
{% endblock %}

{% block body %}
    <div class="container" id="random">

        <div class="row">
            <div class="col">
                <h1 class="text-center pt-5">Tema 28</h1>
            </div>
            <div class="row">
                <div class="col-md-12">
                    <h3>Random Color Generator</h3>
                    <button class="btn btn-primary" v-on:click="randomColor">Change Color</button>
                    <hr p-5>
                </div>
            </div>

            <div class="container">
                <div class="row">
                    <div class="col">
                        <div class="randomColor p-5 mb-3" id="randomColor1"></div>
                        <p class="text-center">{* color *}</p>
                    </div>
                    <div class="col">
                        <div class="randomColor p-5 mb-3" id="randomColor2"></div>
                        <p class="text-center">{* color2 *}</p>
                    </div>
                    <div class="col">
                        <div class="randomColor p-5 mb-3" id="randomColor3"></div>
                        <p class="text-center">{* color3 *}</p>
                    </div>
                    <div class="col">
                        <div class="randomColor p-5 mb-3" id="randomColor4"></div>
                        <p class="text-center">{* color4 *}</p>
                    </div>
                    <div class="col">
                        <div class="randomColor p-5 mb-3" id="randomColor5"></div>
                        <p class="text-center">{* color5 *}</p>
                    </div>
                    <div class="col">
                        <div class="randomColor p-5 mb-3" id="randomColor6"></div>
                        <p class="text-center">{* color6 *}</p>
                    </div>
                    <div class="col">
                        <div class="randomColor p-5 mb-3" id="randomColor7"></div>
                        <p class="text-center">{* color7 *}</p>
                    </div>
                    <div class="col">
                        <div class="randomColor p-5 mb-3" id="randomColor8"></div>
                        <p class="text-center">{* color8 *}</p>
                    </div>
                    <div class="col">
                        <div class="randomColor p-5 mb-3" id="randomColor9"></div>
                        <p class="text-center">{* color9 *}</p>
                    </div>
                    <div class="col">
                        <div class="randomColor p-5 mb-3" id="randomColor10"></div>
                        <p class="text-center">{* color10 *}</p>
                    </div>
                    <div class="col">
                        <div class="randomColor p-5 mb-3" id="randomColor11"></div>

                        <p class="text-center">{* color11 *}</p>
                    </div>
                    <div class="col">
                        <div class="randomColor p-5 mb-3" id="randomColor12"></div>
                        <p class="text-center">{* color12 *}</p>
                    </div>
                    <div class="col">
                        <div class="randomColor p-5 mb-3" id="randomColor13"></div>
                        <p class="text-center">{* color13 *}</p>
                    </div>
                    <div class="col">
                        <div class="randomColor p-5 mb-3" id="randomColor14"></div>
                        <p class="text-center">{* color14 *}</p>
                    </div>
                </div>
            </div>
        </div>
    </div>
{% endblock %}
{% block javascripts %}
    {{ encore_entry_script_tags('app') }}
{% endblock %}
